Skip to content

Get Telegram Bot channel information
Closed Beta

Request

Returns the information for a Telegram Bot channel linked to a Conversation API App.

Security
BasicAuth and BearerAuth and OAuth2Production
Path
projectIdstringrequired

The unique ID of the project. You can find this on the Sinch Dashboard.

conversationAppIdstringrequired

The unique ID of the app. You can find this on the Sinch Dashboard.

curl -i -X GET \
  -u '<username>:<password>' \
  'https://provisioning.api.sinch.com/v1/projects/{projectId}/conversation/apps/{conversationAppId}/telegram' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Telegram Bot information.

Bodyapplication/json
statusstring(ConversationChannelStatus)required

Channel integration status.

Enum:"ACTIVE""ERROR""FAILING""PENDING""UNRECOGNIZED"
statusDescriptionstring

Channel integration description if status is ERROR or FAILED.

namestring

Name of the bot.

usernamestring

Username of the bot.

canJoinGroupsboolean

If the bot can be invited to groups.

canReadAllGroupMessagesboolean

If privacy mode is disabled for the bot.

supportsInlineQueriesboolean

If the bot supports inline queries.

Response

The information for the Telegram sender connected to the Conversation API App.

{ "status": "ACTIVE", "name": "Sinch", "username": "sinch_bot", "canJoinGroups": true, "canReadAllGroupMessages": false, "supportsInlineQueries": false }
We'd love to hear from you!
Rate this content: